module Trendious
  class Tag < Entry
    def trending(page = 0)
      @page = page
      fetch('trending')
    end

    def recent(page = 0)
      @page = page
      fetch('recent')
    end

    private

    def fetch(name)
      uri = URI("http://api.moviepilot.com/v4/tags/#{slug}/#{name}?page=#{@page || 0}")
      puts "Request URI: #{uri}"
      Trendious::Tags.new Net::HTTP.get(uri)
    end
  end
end
