module Trendious
  class Tags < Collection
    attr_reader :response

    def initialize(res)
      @response = JSON.parse(res)
    end

    def entries
      @response['collection'].map {|h| Tag.new h }
    end

    def find(name)
      entries.select {|tag| tag.name.downcase.include? name.downcase }
    end
  end
end
